Summary:  	A Window Manager for the X Window System
Name:		blackbox
Version:	0.65.0
Release:	3mdk
License:	GPL
Group:		Graphical desktop/Other
URL:		http://blackbox.alug.org/

Source:		blackbox-%{version}.tar.bz2
Source1:	%{name}.menu-method
Source5:	blackbox-startblackbox
Source3:	blackbox.png
Source4:	blackbox32.png
Patch0:		blackbox-0.65.0-assert.patch.bz2
Patch1:		blackbox-0.65.0-gcc3_4.patch.bz2

Requires:	mandrake_desk >= 9.1-2mdk
BuildRequires:	XFree86-devel locales-en
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is a window manager for X.  It is similar in many respects to
such popular packages as Window Maker, Enlightenment, and FVWM2.  You
might be interested in this package if you are tired of window managers
that are a heavy drain on your system resources, but you still want
an attractive and modern-looking interface.
.
The best part of all is that this program is coded in C++, so it
is even more attractive "under the hood" than it is in service -- no
small feat.
.
If none of this sounds familiar to you, or you want your computer to
look like Windows 98, you probably don't want this package.


%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .gcc3_4

%build
export LANG="en_US" LC_ALL="en_US"
%configure --enable-kde --enable-nls

%make DEFAULT_MENU=%{_sysconfdir}/X11/blackbox/blackbox-menu

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
install -m755 $RPM_BUILD_ROOT%{_bindir}/* $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/
# and removing the files from _bindir if they are not packaged; otherwise
# the rpm checking makes the building of the package fail -- pablo
rm -f $RPM_BUILD_ROOT%{_bindir}/*


install -m755 %{SOURCE1} -D $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods/%{name}

mkdir -p $RPM_BUILD_ROOT%_menudir
install -m644 %{SOURCE3} -D $RPM_BUILD_ROOT%{_miconsdir}/blackbox.png
install -m644 %{SOURCE4} -D $RPM_BUILD_ROOT%{_iconsdir}/blackbox.png

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
cat > $RPM_BUILD_ROOT/%{_sysconfdir}/X11/wmsession.d/05blackbox << EOF
NAME=BlackBox
ICON=blackbox.png
EXEC=%{_prefix}/X11R6/bin/blackbox
DESC=A Light but nice looking window manager
SCRIPT:
exec %{_prefix}/X11R6/bin/startblackbox
EOF

install -m 755 %{SOURCE5} $RPM_BUILD_ROOT/usr/X11R6/bin/startblackbox

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): needs=blackbox section="Session/Windowmanagers" title="Blackbox" icon="%{_datadir}/icons/blackbox.png" command="/usr/X11R6/bin/blackbox"
?package(%{name}): needs=blackbox section="Session/Windowmanagers" title="Exit" command="exit"
?package(%{name}): needs=blackbox section="Session/Windowmanagers" title="Reconfigure" command="reconfig"
?package(%{name}): needs=blackbox section="Session/Windowmanagers" title="Restart" command="restart"
?package(%{name}): needs=blackbox section="Setting/Styles" title="/usr/share/blackbox/styles" command="stylesdir"
?package(%{name}): needs=blackbox section="Setting/Styles" title="~/.blackbox/styles" command="stylesdir"
?package(%{name}): needs=blackbox section="Setting" title="Workspaces" command="workspaces"
?package(%{name}): needs=blackbox section="Setting" title="Configuration" command="config"
EOF

%find_lang %{name}

%post
%{update_menus}
%{make_session}

%postun
%{clean_menus}
%{make_session}

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root) 
%{_libdir}/menu/%{name}
%config(noreplace) %{_sysconfdir}/menu-methods/%{name}
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/05blackbox
%{_prefix}/X11R6/bin/*
%{_datadir}/blackbox
%{_iconsdir}/blackbox.png
%{_miconsdir}/blackbox.png
%{_mandir}/man1/*

%changelog
* Thu Jul 08 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.65.0-3mdk
- rebuild with gcc 3.4
- BuildRequires: locales-en

* Sat May 22 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.65.0-2mdk
- work around nls build problem (from Matthias Saou's package)
- Patch for #include <cassert> in Window.cc (P0 from Matthias Saou's package)
- drop useless prefix tag and use %%{_prefix} macro in stead
- macroize

* Mon Feb 24 2003 Daouda LO <daouda@mandrakesoft.com> 0.65.0-1mdk
- 0.65
- spec cleanup 
- xpm2png

* Thu Jan 09 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.62.1-4mdk
- fixed the paths for translated man pages

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.62.1-3mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.62.1-2mdk
- Automated rebuild with gcc3.2

* Fri Feb 15 2002 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-1mdk
- 0.62.1

* Mon Aug 20 2001 Yves Duret <yduret@mandrakesoft.com> 0.61.1-3mdk
- rebuild
- added a startblackbox script

* Tue Nov 14 2000 David BAUDENS <baudens@mandrakesoft.com> 0.61.1-2mdk
- Fix some macros

* Tue Oct 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.61.1-1mdk
- Arrange menus entry to add Setting box.
- Set default style to Artwiz.
- Make blackbox like the old name blackbox and not BlackBox.
- Add debian translations.
- 0.61.1 (fix gcc2.96).

* Wed Sep 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.51.3.1-25mdk
- entry in /etc/X11/wmsession.d
- noreplace

* Mon Sep 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.51.3.1-24mdk
- add icons for menu system. 

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.51.3.1-23mdk
- automatically added BuildRequires

* Sun Jul 09 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.51.3.1-22mdk
- makeinstall macro
- macroszifications

* Sun May 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.51.3.1-21mdk
- Fix descriptions (RPM & menu)

* Fri Apr 28 2000 dam's <damien@mandrakesoft.com> 0.51.3.1-20mdk
- Added fndSession call.

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.51.3.1-19mdk
- Add an exit button just after mandrake menu.

* Tue Apr  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.51.3.1-18mdk
- i18n menu support.

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.51.3.1-17mdk
- Remove bbdrake stuff (dadou i have pity for you).
- Don't chmod 666 files.
- Add man pages from debian.
- Add i18n patch from debian (hint hint, traductors)
- Adjust groups.

* Mon Jan 03 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 0.51.3.1-16mdk
- Fix typos

* Sat Jan 01 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 0.51.3.1-15mdk
- Add kvideogen in BBDrake

* Tue Dec 28 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add kdmconfig and kcontrol in BBDrake (thanks Arnold)

* Mon Dec 27 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 0.51.3.1-13mdk
- Fix some typos
- Fix display version

* Mon Dec 20 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix display version 

* Sun Dec 19 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix call at bbdrake_kde
- Add AnotherLevel in BBDrake

* Sat Dec 18 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 0.51.3.1-10mdk
  - Replace "drakXconf" by "DrakConf"
- 0.51.3.1-9mdk
  - Cleanup BBDrake
  - Add a blank before "Exit"
  - Add "BlackBox/KDE" in "Desktop/Window Managers"
- 0.51.3.1-8mdk
  - Remove "Sutdown or restart"
  - Add BBDrake_KDE

* Fri Dec 17 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add DrakXconf in BBDrake, remove XFDrake (call by DrakXcon)
- Change default theme

* Thu Dec 16 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add a lot of apps in BBDrake
- Fix some typos in BBDrake
- Fix some problems when run as user

* Thu Dec 10 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix Group

* Wed Dec 09 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Build release

* Tue Dec 08 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add some apps in bbdrake

* Fri Dec 04 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Initial bbdrake

* Fri Nov 20 1999 - David BAUDENS <baudens@mandrakesoft.com>
- First spec
